wxWidgets: wxGridTableMessage Class Reference

| Version: 3.1.7

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxGridTableMessage Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.7-1.x86_64/src/wxWidgets-3.1.7/interface/wx/grid.h>`

## Detailed Description

Message class used by the grid table to send requests and notifications to the grid view.

A message object of this class must be sent to the grid using wxGrid::ProcessTableMessage() every time the table changes, e.g. rows are added/deleted. The messages are just notifications and don't result in any actual changes but just allow the view to react to changes to the model.

## Public Member Functions
| wxGridTableMessage ()
| Default constructor initializes the object to invalid state.
| wxGridTableMessage (wxGridTableBase *table, int id, int comInt1=-1, int comInt2=-1)
| Constructor really initialize the message.
void | SetTableObject (wxGridTableBase *table)
| Sets the table object.
wxGridTableBase * | GetTableObject () const
| Gets the table object.
void | SetId (int id)
| Sets an id.
int | GetId () const
| Gets an id.
void | SetCommandInt (int comInt1)
| Set the position after which the insertion/deletion occur.
int | GetCommandInt () const
| Get the position after which the insertion/deletion occur.
void | SetCommandInt2 (int comInt2)
| Set the number of rows to be inserted/deleted.
int | GetCommandInt2 () const
| Get the number of rows to be inserted/deleted.

## Constructor & Destructor Documentation

## ◆ wxGridTableMessage() [1/2]

wxGridTableMessage::wxGridTableMessage | ( |  | ) |

Default constructor initializes the object to invalid state.

## ◆ wxGridTableMessage() [2/2]

wxGridTableMessage::wxGridTableMessage | ( | wxGridTableBase * | table,
|  | int | id,
|  | int | comInt1 = -1,
|  | int | comInt2 = -1 )

Constructor really initialize the message.

Parameters

  table | Pointer to the grid table
  id | One of wxGridTableRequest enum elements.
  comInt1 | Position after which the rows are inserted/deleted
  comInt2 | Number of rows to be inserted/deleted

## Member Function Documentation

## ◆ GetCommandInt()

int wxGridTableMessage::GetCommandInt | ( |  | ) | const

Get the position after which the insertion/deletion occur.

## ◆ GetCommandInt2()

int wxGridTableMessage::GetCommandInt2 | ( |  | ) | const

Get the number of rows to be inserted/deleted.

## ◆ GetId()

int wxGridTableMessage::GetId | ( |  | ) | const

Gets an id.

## ◆ GetTableObject()

wxGridTableBase * wxGridTableMessage::GetTableObject | ( |  | ) | const

Gets the table object.

## ◆ SetCommandInt()

void wxGridTableMessage::SetCommandInt | ( | int | comInt1 | ) |

Set the position after which the insertion/deletion occur.

## ◆ SetCommandInt2()

void wxGridTableMessage::SetCommandInt2 | ( | int | comInt2 | ) |

Set the number of rows to be inserted/deleted.

## ◆ SetId()

void wxGridTableMessage::SetId | ( | int | id | ) |

Sets an id.

## ◆ SetTableObject()

void wxGridTableMessage::SetTableObject | ( | wxGridTableBase * | table | ) |

Sets the table object.